pods::SDL::CDTrack(3pm)

NAME
SDL::CDTrack -- SDL Bindings for structure SDL_CDTrack

CATEGORY
Core, CDROM, Structure

SYNOPSIS
 use SDL;
 use SDL::CDROM;
 use SDL::CD ':status';
 use SDL::CDTrack;

 SDL::init( SDL_INIT_CDROM );

 my $drives = SDL::CDROM::num_drives();

 if( $drives > 0 )
 {
     my $CD = SDL::CD->new(0); #first drive's CD

     if($CD)
     {
         if( $CD->status != CD_TRAYEMPTY )
         {
             my $track = SDL::CD->track(0);
         }
     }
 }

CONSTANTS
The constants are exported by default. You can avoid this by doing:

 use SDL::CDTrack ();

and access them directly:

 SDL::CDTrack::SDL_AUDIO_TRACK;

or by choosing the export tags below:

Export tag: ':type'

 SDL_AUDIO_TRACK
 SDL_DATA_TRACK

METHOD

  id
 $track->id() # 0-99

Track number

  type
 $track->type() # SDL_AUDIO_TRACK or SDL_DATA_TRACK

Type of track

  length
 $track->length()

Length, in frames, of this track

  offset
 $track->offset()

Frame offset to the beginning of this track

SEE ALSO
SDL::CDROM, SDL::CD

AUTHORS
See "AUTHORS" in SDL.